Subject: Re: [EXTERNAL] [PATCH v8 net-next 5/5] net: ena: Add PHC documentation

From: Leon Romanovsky <[email-masked]>
Date: Wed, 5 Mar 2025 19:52:43 +0200

On Wed, Mar 05, 2025 at 04:35:48PM +0100, Andrew Lunn wrote:
> > If you read the actual code in that patch, there's a hint though.
> > Because the actual process in ena_phc_enable_set() does the following:
> > 
> > +	ena_destroy_device(adapter, false);
> > +	rc = ena_restore_device(adapter);
> > 
> > Is that actually tearing down the whole netdev and recreating it when
> > the PHC enable is flipped?
> 
> Well Jakub said it is a pure clock, not related to the netdev. 

So why are you ready to merge the code which is not netdev, doesn't have
any association with netdev and doesn't follow netdev semantics (no
custom sysfs files)?

Thanks